<IF:  cern_use_ad_kdc>; AD  : This Kerberos configuration is for CERN's Active Directory realm.
<ELSE:>; if at CERN, use Heimdal KDC
<ENDIF>
;
; /etc/krb5.conf
; This file is maintained via ncm-krb5clt(1), local changes may be lost.
; If you need to add your realm, look at the "template" file 
; in /usr/lib/ncm/config/krb5clt/etc_krb5.conf.tpl
; or get in touch with project-elfms@cern.ch

[libdefaults]
<IF: default_realm> default_realm = <default_realm>
<ELSE:> default_realm = cern.ch
<ENDIF>
<IF: ticket_lifetime> ticket_lifetime = <ticket_lifetime>
<ENDIF>
<IF: renew_lifetime> renew_lifetime = <renew_lifetime>
<ENDIF>
<IF: forwardable> forwardable = <forwardable>
<ENDIF>
<IF: proxiable> proxiable = <proxiable>
<ENDIF>
<IF: noaddresses> noaddresses = <noaddresses>
<ENDIF>
<IF: default_tkt_enctypes> default_tkt_enctypes = <default_tkt_enctypes>
<ENDIF>
<IF: allow_weak_crypto> allow_weak_crypto = <allow_weak_crypto>
<ENDIF>

[realms]
 CERN.CH = {
  default_domain = cern.ch
<IF: cern_kpasswd_server>  kpasswd_server = <cern_kpasswd_server>
<ELSE:>  kpasswd_server = afskrb5m.cern.ch
<ENDIF>
<IF:  cern_admin_server>  admin_server = <cern_admin_server>
<ELSE:>  admin_server = afskrb5m.cern.ch
<ENDIF>
<INCLUDE: /var/ncm/tmp/krb5clt-cern_kdc>
  v4_name_convert = {
     host = {
         rcmd = host
     }
  }
 }
; the external institutes info is completely static for now and comes
; straight from the NCM template
 FNAL.GOV = {
  default_domain = fnal.gov
  admin_server = krb-fnal-admin.fnal.gov
  kdc = krb-fnal-1.fnal.gov:88 
  kdc = krb-fnal-2.fnal.gov:88 
  kdc = krb-fnal-3.fnal.gov:88 
 }
 KFKI.HU = {
  kdc = kerberos.kfki.hu
  admin_server = kerberos.kfki.hu
 } 
 HEP.MAN.AC.UK = {
  kdc = afs4.hep.man.ac.uk
  kdc = afs1.hep.man.ac.uk
  kdc = afs2.hep.man.ac.uk
  kdc = afs3.hep.man.ac.uk
  admin_server = afs4.hep.man.ac.uk
  kpasswd_server = afs4.hep.man.ac.uk
  default_domain = hep.man.ac.uk
 }
[domain_realm]
 .cern.ch = CERN.CH
 .fnal.gov = FNAL.GOV
 .kfki.hu = KFKI.HU
 .hep.man.ac.uk = HEP.MAN.AC.UK
[appdefaults]
<IF: pkinit_pool>   pkinit_pool = <pkinit_pool>
<ENDIF>
<IF: pkinit_anchors>   pkinit_anchors = <pkinit_anchors>
<ENDIF>
; options for Red Hat pam_krb5-2
 pam = {
   external = true
<IF: pam_banner>   banner = <pam_banner>
<ENDIF>
<IF: pam_ccache_dir>   ccache_dir = <pam_ccache_dir>
<ENDIF>
<IF: pam_existing_ticket>   existing_ticket = <pam_existing_ticket>
<ENDIF>
<IF: pam_external>   external = <pam_external>
<ENDIF>
<IF: pam_ignore_afs>   ignore_afs = <pam_ignore_afs>
<ENDIF>
<IF: pam_ignore_unknown_principals>   ignore_unknown_principals = <pam_ignore_unknown_principals>
<ENDIF>
<IF: pam_initial_prompt>   initial_prompt = <pam_initial_prompt>
<ENDIF>
<IF: pam_keytab>   keytab = <pam_keytab>
<ENDIF>
<IF: pam_krb4_convert>   krb4_convert = <pam_krb4_convert>
<ENDIF>
<IF: pam_krb4_convert_524>   krb4_convert_524 = <pam_krb4_convert_524>
<ENDIF>
<IF: pam_krb4_use_as_req>   krb4_use_as_req = <pam_krb4_use_as_req>
<ENDIF>
<IF: pam_mappings>   mappings = <pam_mappings>
<ENDIF>
<IF: pam_minimum_uid>   minimum_uid = <pam_minimum_uid>
<ENDIF>
<IF: pam_no_user_check>   no_user_check = <pam_no_user_check>
<ENDIF>
<IF: pam_realm>   realm = <pam_realm>
<ENDIF>
<IF: pam_renew_lifetime>   renew_lifetime = <pam_renew_lifetime>
<ENDIF>
<IF: pam_ticket_lifetime>   ticket_lifetime = <pam_ticket_lifetime>
<ENDIF>
<IF: pam_tokens>   tokens = <pam_tokens>
<ENDIF>
<IF: pam_use_shmem>   use_shmem = <pam_use_shmem>
<ENDIF>
<IF: pam_validate>   validate = <pam_validate>
<ENDIF>
<IF: pam_afs_cells>   afs_cells = <pam_afs_cells>
<ENDIF>
<IF: pam_cern_nullafs>
; next option requires CERN-patched pam_krb5
nullafs = <pam_cern_nullafs>
<ENDIF>
<IF: pam_cern_prefer2b>
; next option requires CERN-patched pam_krb5
prefer_2b = <pam_cern_prefer2b>
<ENDIF>
 }
